# Class BrightcoveKeySystem

#####
Index

### Constructors

constructor

### Properties

certificateUrl
keyRequestUrl
keyRequestUrls?
licenseUrl
licenseUrls?

### Methods

mapToSourceKeySystem

## Constructors

### constructor

- new BrightcoveKeySystem(keySystemDto): BrightcoveKeySystem

- #### Parameters

  - keySystemDto: KeySystemDto

  #### Returns BrightcoveKeySystem

## Properties

### `Readonly` certificateUrl

certificateUrl: string

### `Readonly` keyRequestUrl

keyRequestUrl: string

### `Optional` `Readonly` keyRequestUrls

keyRequestUrls?: Record<string, string>

### `Readonly` licenseUrl

licenseUrl: string

### `Optional` `Readonly` licenseUrls

licenseUrls?: Record<string, string>

## Methods

### mapToSourceKeySystem

- mapToSourceKeySystem(keySystem): KeySystemConfig

- #### Parameters

  - keySystem: string

  #### Returns KeySystemConfig